SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004338SOGoWeb Mailpublic2017-11-17 02:082017-12-15 16:32
Reporteradriannv 
Assigned Tofrancis 
PriorityhighSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.2.10 
Target VersionFixed in Version4.0.0 
Summary0004338: From Address Missing in Webmail
DescriptionSome email addresses are missing a "From" address when trying to compose a new email, both in the pop-up composer and in the internal composer.


Nov 17 18:03:51 sogod [7595]: localhost "GET /SOGo/so/accounts@limitlessrecycling.com.au/Mail/0/compose HTTP/1.0" 201 78/0 0.175 - - 12K


Screenshot of the error attached.
Additional InformationName : sogo Relocations: /usr
Version : 3.2.10.20171116 Vendor: http://www.inverse.ca/ [^]
Release : 1.centos6 Build Date: Thu 16 Nov 2017 05:55:50 PM AEDT
Install Date: Fri 17 Nov 2017 02:19:32 PM AEDT Build Host: shiva.inverse
Group : Productivity/Groupware Source RPM: sogo-3.2.10.20171116-1.centos6.src.rpm
Size : 53958986 License: GPL
Signature : RSA/SHA1, Thu 16 Nov 2017 07:25:33 PM AEDT, Key ID
Packager : Inverse inc. <info@inverse.ca>
URL : http://www.inverse.ca/contributions/sogo.html [^]
Summary : SOGo
TagsNo tags attached.
Attached Filespng file icon sogo.png [^] (10,194 bytes) 2017-11-17 02:08

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0012437)
francis (administrator)
2017-11-17 10:24

There's probably no email address associated to the user account.

From the mail module, what's the result of typing the following in the Javascript console?

  mailAccounts[0].identities
(0012438)
adriannv (reporter)
2017-11-18 03:35

You might be on to something.

mailAccounts[0].identities
VM417:1 Uncaught ReferenceError: mailAccounts is not defined
    at <anonymous>:1:1


Also, adding a Delegation doesn't seem to make a difference either.
User avatar (0012440)
francis (administrator)
2017-11-22 15:40

Any JavaScript error when visiting the Mail module?

Did you modified the UIxMailMainFrame.wox template?
(0012441)
adriannv (reporter)
2017-11-22 18:52

Hi Francis!

The console does display the following errors:

angular.min.js:124 Error: [ngRepeat:dupes] http://errors.angularjs.org/1.6.6/ngRepeat/dupes?p0=identity%20in%20editor.identities&p1=string%3Aaccounts%40limitlessrecycling.com.au%20%3Caccounts%40limitlessrecycling.com.au%3E&p2=accounts%40limitlessrecycling.com.au%20%3Caccounts%40limitlessrecycling.com.au%3E [^]
    at angular.min.js:7
    at angular.min.js:315
    at angular.min.js:147
    at m.$digest (angular.min.js:148)
    at angular.min.js:150
    at e (angular.min.js:48)
    at angular.min.js:51
(anonymous) @ angular.min.js:124
ckeditor.js:900 Detecting changes using MutationObservers
angular.min.js:124 Using a class of md-actions is deprecated, please use <md-dialog-actions>.
(anonymous) @ angular.min.js:124

We haven't changed any SoGo templates at all.

- Related Changesets
sogo: master 3816d25a
Timestamp: 2017-12-15 16:30:37
Author: francis
Details ] Diff ]
(js) Make sure mail identities are unique

Fixes 0004338
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-17 02:08 adriannv New Issue
2017-11-17 02:08 adriannv File Added: sogo.png
2017-11-17 10:24 francis Note Added: 0012437
2017-11-18 03:35 adriannv Note Added: 0012438
2017-11-22 15:40 francis Note Added: 0012440
2017-11-22 18:52 adriannv Note Added: 0012441
2017-12-15 16:31 francis Changeset attached => sogo master 3816d25a
2017-12-15 16:31 francis Assigned To => francis
2017-12-15 16:31 francis Resolution open => fixed
2017-12-15 16:32 francis Status new => resolved
2017-12-15 16:32 francis Fixed in Version => 4.0.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker